<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from nan_cov.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="nan_cov" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>nan_cov</refname>
    <refpurpose>calculates covariance matrix</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   C = nan_cov(X [,Mode]);
   C = nan_cov(X,Y [,Mode]);
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>C :</term>
      <listitem><para> correlation matrix</para></listitem></varlistentry>
   <varlistentry><term>Mode = 0:</term>
      <listitem><para> [default] scales C by (N-1)</para></listitem></varlistentry>
   <varlistentry><term>Mode = 1:</term>
      <listitem><para> scales C by N.</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
X and Y can contain missing values encoded with NaN.
NaN's are skipped, NaN do not result in a NaN output.
The output gives NaN only if there are insufficient input data
The mean is removed from the data.
   </para>
   <para>
C = nan_cov(X [,Mode]);
calculates the (auto-)correlation matrix of X
   </para>
   <para>
C = nan_cov(X,Y [,Mode]);
calculates the crosscorrelation between X and Y.
C(i,j) is the correlation between the i-th and jth
column of X and Y, respectively.
   </para>
   <para>
NOTE: Octave and Matlab have (in some special cases) incompatible implemenations.
This implementation follows Octave. If the result could be ambigous or
incompatible, a warning will be presented in Matlab. To avoid this warning use:
a) use COV([X(:),Y(:)]) if you want the traditional Matlab result.
b) use C = COV([X,Y]), C = C(1:size(X,2),size(X,2)+1:size(C,2)); if you want to be compatible with this software.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="nan_covm">nan_covm</link></member>
   <member><link linkend="nan_cor">nan_cor</link></member>
   <member><link linkend="nan_corrcoef">nan_corrcoef</link></member>
   <member><link linkend="sumskipnan">sumskipnan</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Bibliography</title>
   <para>http://mathworld.wolfram.com/Covariance.html</para>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 2000-2003,2005,2009 by Alois Schloegl a.schloegl@ieee.org</member>
   <member>H. Nahrstaedt - 2010</member>
   </simplelist>
</refsection>
</refentry>
